#! /usr/bin/env python

from openturns import *
from math import *

TESTPREAMBLE()

try :

    # Create a InverseHalton
    sequence = InverseHaltonSequence(15)
    print sequence
    
    # Create a numerical sample of the sequence
    inverseHaltonSample = sequence.generate(10)
    print repr(inverseHaltonSample)
    
    # Create another InverseHalton' sequence of dimension 2 to estimate Pi in [0 1)^2
    dimension = 2
    sequence = InverseHaltonSequence(dimension)
    pointInsideCircle = 0
    sampleSize = 1000
    for i in range(sampleSize) :
	    inverseHaltonPoint = sequence.generate()
	    print inverseHaltonPoint.__repr__()
	    if inverseHaltonPoint.norm() < 1.0 :
		    pointInsideCircle = pointInsideCircle + 1
    probabilityEstimate = (1.0 * pointInsideCircle) / sampleSize
    probability = pi / 4.0
    relativeError = fabs(probability - probabilityEstimate) / probability
    print "sample size=", sampleSize
    print "relative error to Pi=", relativeError
    
except :
   import sys
   print "t_InverseHaltonSequence_std.py", sys.exc_type, sys.exc_value
